Skip to content
First requestVisit website ↗
Navigation

Create a custom field definition

Creates a workspace-scoped custom field definition for contacts, appointments, or workspace-level values.

POST
https://api.channelautomation.com/api/custom-fields

Request body JSON required

  • workspace_id
    string
    required
  • name
    string
    required
  • label
    string
    required
  • field_type
    text
    or
    url
    or
    number
    or
    date
    or
    datetime
    or
    boolean
    +3 more
    required
  • object_type
    optional
    contact
    or
    appointment
    or
    workspace
    default: "contact"
  • options
    optional
    array of
    object
  • is_required
    optional
    boolean
  • description
    optional
    string
  • default_value
    optional
    unknown

    Workspace-level default value for object_type=workspace.

Returns

201

Custom field created successfully

400

Missing or invalid custom field parameters

500

Internal server error
JSON
  • error
    optional
    string
  • details
    optional
    string
  • success
    optional
    boolean

Type to search…

↑↓ navigate↵ selectEsc close